---
title: "Get the status for an NPN management job"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2/operations/getNpnManagementJobStatus"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/953bc6f0-354b-4960-adc0-3acdb3d638a2.md

# Get the status for an NPN management job

`GET` `/v1/accounts/subscriptions/status/{jobId}`

Operation ID: `getNpnManagementJobStatus`

Returns the status and additional metadata about a specific NPN management job

## Path parameters

- `jobId` (string, uuid, required) - ID of the job corresponding to the details you are looking for

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.80.2
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v1/accounts/subscriptions/status/{jobId}:
    get:
      tags:
        - NPN Management
      operationId: getNpnManagementJobStatus
      summary: Get the status for an NPN management job
      description: >
        Returns the status and additional metadata about a specific NPN
        management job
      parameters:
        - name: jobId
          in: path
          description: ID of the job corresponding to the details you are looking for
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: Success
          content:
            application/hal+json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 0ded8367-01ac-4519-8cd7-ce965d55c0b0
                  createdAt:
                    type: string
                    format: date
                    example: 2025-04-14
                    description: Date of the creation of this record in AgentSync.
                  updatedAt:
                    type: string
                    format: date
                    example: 2025-04-14
                    description: Date of the most recent update to this record in AgentSync.
                  details:
                    type: object
                    properties:
                      success:
                        type: boolean
                        example: true
                      state:
                        type: string
                        enum:
                          - SUCCEEDED
                          - FAILED
                        description: Status of job - `SUCCEEDED`, `FAILED`
                      totalNpns:
                        type: integer
                        example: 3
                      queuedNpns:
                        type: integer
                        example: 0
                      inProgressNpns:
                        type: integer
                        example: 0
                      successfulNpns:
                        type: integer
                        example: 3
                      failedNpns:
                        type: integer
                        example: 0
                  links:
                    type: object
                    properties:
                      self:
                        type: object
                        properties:
                          href:
                            type: string
                            example: https://api.sandbox.agentsync.io/v1/accounts/subscriptions/status/0ded8367-01ac-4519-8cd7-ce965d55c0b0
                      details:
                        type: object
                        properties:
                          href:
                            type: string
                            example: https://api.sandbox.agentsync.io/v1/accounts/subscriptions/status/0ded8367-01ac-4519-8cd7-ce965d55c0b0/details
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "400":
          $ref: "#/components/responses/400BadRequest"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "403":
          $ref: "#/components/responses/403Forbidden"
        "404":
          $ref: "#/components/responses/404NotFound"
        "405":
          $ref: "#/components/responses/405MethodNotAllowed"
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    400BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 400
              error:
                type: string
                example: Bad Request
              message:
                type: string
                example: Invalid parameter values provided - {parameter}:[{invalid values}]
              path:
                type: string
                example: "{endpoint_path}"
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    403Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742935636
              status:
                type: integer
                example: 403
              path:
                type: string
                example: "{requested endpoint}"
              error:
                type: string
                example: Forbidden
    404NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 404
              error:
                type: string
                example: Not Found
              message:
                type: string
                example: Error message describing what was not found
              path:
                type: string
                example: "{requested endpoint}"
    405MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                example: about:blank
              status:
                type: integer
                example: 405
              detail:
                type: string
                example: Method 'PUT' is not supported.
              instance:
                type: string
                example: "{requested endpoint}"
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
